Submit a local receipt to the configured control plane.
POST
/v1/receipts/submit
Authentication
Bearer Token
Request Body
application/jsonreceipt_hash
string
Omit to submit the most recent local receipt.
control_plane_url
string (uri)
Optional override for the control-plane URL.
Responses
200
Local receipt submission result.
application/jsonstatus
string
REQUIRED
Enum:
submittedreceipt
object
REQUIRED
receipt_hash
string
receipt
object
submitted_at
string (date-time)
control_plane_url
string
batch_id
string
created_at
string (date-time)
remote
object
REQUIRED
default
B3IQ-native problem response.
curl -X POST 'http://127.0.0.1:8831/v1/receipts/submit' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "receipt_hash": "string", "control_plane_url": "https://example.com"}'
const response = await fetch('http://127.0.0.1:8831/v1/receipts/submit', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "receipt_hash": "string", "control_plane_url": "https://example.com" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('http://127.0.0.1:8831/v1/receipts/submit', headers=headers, json={ "receipt_hash": "string", "control_plane_url": "https://example.com"})print(response.json())
200
Response
{ "status": "submitted", "receipt": { "receipt_hash": "<string>", "receipt": "<object>", "submitted_at": "2024-01-01T00:00:00Z", "control_plane_url": "<string>", "batch_id": "<string>", "created_at": "2024-01-01T00:00:00Z" }, "remote": "<object>"}
API Playground
Try this endpoint
POST
/v1/receipts/submit

